<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee',
        'label' => 'frontend_user',
        'default_sortby' => 'ORDER BY active,entry_date',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'delete' => 'deleted',
        'searchFields' => 'commission_text,correction_text,bank_account,last_name,first_name,street,street_nr,zip,city,email,phone,mobile,zpv,birthday,business_phone,business_phone_url,business_email,job_title,gender,title',
        'iconfile' => 'EXT:ig_crm_time_recording/Resources/Public/Icons/tx_igcrmtimerecording_domain_model_employee.gif'
    ],
    'types' => [
        '1' => ['showitem' => 'frontend_user, contact_id, active, last_name,first_name,short_name, street,street_nr,zip,city,country_iso_code, email,phone,mobile,zpv,birthday,business_phone,business_phone_url,business_email,job_title,gender,title, place_of_origin, signature, entry_date, exit_date, employment_in_percent, salary, salary13_active, hourly_wage, time_carryover, holiday_carryover, holiday_days_in_year, bvg, quellensteuer, no_nbuv, salary13_extra, salary13_month, commission_amount, commission_text, correction_amount, correction_text, number_of_children, ahv_mandatory, bank_account'],
    ],
    'columns' => [
        'active' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.active',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                    ]
                ],
                'default' => 1,
            ]
        ],
        'last_name' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.last_name',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'first_name' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.first_name',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'street' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.street',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'short_name' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.short_name',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'street_nr' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.street_nr',
            'config' => [
                'type' => 'input',
                'size' => 10,
                'eval' => 'trim'
            ],
        ],
        'zip' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.zip',
            'config' => [
                'type' => 'input',
                'size' => 10,
                'eval' => 'trim'
            ],
        ],
        'city' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.city',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'country_iso_code' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.country_iso_code',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'email' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.email',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim,email'
            ],
        ],
        'phone' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.phone',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'mobile' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.mobile',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'zpv' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.zpv',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'signature' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.signature',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'place_of_origin' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.place_of_origin',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'birthday' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.birthday',
            'config' => [
                'dbType' => 'date',
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 7,
                'eval' => 'null,date',
                'default' => null,
            ],
        ],
        'business_phone' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.business_phone',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'business_phone_url' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.business_phone_url',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'business_email' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.business_email',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim,email'
            ],
        ],
        'job_title' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.job_title',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'gender' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.gender',
            'config' => [
                'type' => 'input',
                'size' => 1,
                'eval' => 'trim'
            ],
        ],
        'title' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:extension/Resources/Private/Language/locallang_db.xlf:tx_extension_domain_model_employee.title',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],        
        'frontend_user' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.frontend_user',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'fe_users',
                'minitems' => 0,
                'maxitems' => 1,
            ]
        ],
        'contact_id' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.contact_id',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'int,null'
            ]
        ],
        'salary' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.salary',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2,null'
            ]
        ],
        'salary13_active' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.salary13_active',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => 'Automatisch im Dezember',
                        1 => 'Ja',
                    ]
                ],
                'default' => 0,
            ]
        ],
        'hourly_wage' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.hourly_wage',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'time_carryover' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.time_carryover',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int',
                'default' => 0
            ]
        ],
        'holiday_carryover' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.holiday_carryover',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'employment_in_percent' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.employment_in_percent',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int',
                'default' => 100
            ]
        ],
        'holiday_days_in_year' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.holiday_days_in_year',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int',
                'default' => 0
            ]
        ],
        'entry_date' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.entry_date',
            'config' => [
                'dbType' => 'date',
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 7,
                'eval' => 'null,date',
                'default' => null,
            ],
        ],
        'exit_date' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.exit_date',
            'config' => [
                'dbType' => 'date',
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 7,
                'eval' => 'date',
                'default' => null,
            ],
        ],
        'bvg' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.bvg',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'quellensteuer' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.quellensteuer',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'no_nbuv' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.no_nbuv',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                    ]
                ],
                'default' => 0,
            ]
        ],
        'salary13_extra' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.salary13_extra',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'salary13_month' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.salary13_month',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int',
            ]
        ],
        'commission_amount' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.commission_amount',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'commission_text' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.commission_text',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
            ],
        ],
        'correction_amount' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.correction_amount',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'correction_text' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.correction_text',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
            ],
        ],
        'number_of_children' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.number_of_children',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int',
            ]
        ],
        'ahv_mandatory' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.ahv_mandatory',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                    ]
                ],
                'default' => 0,
            ]
        ],
        'bank_account' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_employee.bank_account',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
            ],
        ],
    
    ],
];
