<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time',
        'label' => 'start_date',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'versioningWS' => false,
        'enablecolumns' => [
        ],
        'searchFields' => 'description',
        'iconfile' => 'EXT:ig_crm_time_recording/Resources/Public/Icons/tx_igcrmtimerecording_domain_model_time.gif'
    ],
    'types' => [
        '1' => ['showitem' => 'tenant_id, employee_id, start_date, duration, description, contact_id, offer_id, workflow_id, is_changed, orig_start_date, orig_duration, activity, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language, sys_language_uid, l10n_parent, l10n_diffsource'],
    ],
    'columns' => [
        'tenant_id' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.tenant_id',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int,null',
                'default' => null,
            ]
        ],
        'employee_id' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.employee_id',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int,null',
            ]
        ],
        'start_date' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.start_date',
            'config' => [
                'dbType' => 'datetime',
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 12,
                'eval' => 'datetime',
            ],
        ],
        'duration' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.duration',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int',
                'default' => 0
            ]
        ],
        'description' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.description',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
                'default' => ''
            ]
        ],
        'contact_id' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.contact_id',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int,null',
            ]
        ],
        'offer_id' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.offer_id',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int,null',
            ]
        ],
        'workflow_id' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.workflow_id',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int,null',
            ]
        ],
        'is_changed' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.is_changed',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                    ]
                ],
                'default' => 0,
            ]
        ],
        'orig_start_date' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.orig_start_date',
            'config' => [
                'dbType' => 'datetime',
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 12,
                'eval' => 'datetime',
                'default' => null,
            ],
        ],
        'orig_duration' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.orig_duration',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'int',
                'default' => 0
            ]
        ],
        'activity' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_igcrmtimerecording_domain_model_time.activity',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'tx_igcrmtimerecording_domain_model_activity',
                'default' => 0,
                'minitems' => 0,
                'maxitems' => 1,
            ],
            
        ],
    
    ],
];
